import { AfterViewInit, ElementRef, NgZone, OnDestroy, OnInit } from "@angular/core";
import StiRectangleGeometryLayout from "../computed/StiRectangleGeometryLayout";
import { StiFormElement } from "../elements/base/StiFormElement";
import { StiModelService } from "../services/model.service";
import * as i0 from "@angular/core";
export declare class StiCloneElementContainerComponent implements OnInit, AfterViewInit, OnDestroy {
    model: StiModelService;
    private zone;
    render: StiRectangleGeometryLayout;
    isClone: boolean;
    observer: any;
    lastUpdatedElement: any;
    clone: ElementRef;
    constructor(model: StiModelService, zone: NgZone, render: StiRectangleGeometryLayout);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    updateElement(component: StiFormElement, cr: any): void;
    updateObservable(): void;
    ngOnDestroy(): void;
    get element(): StiFormElement;
    get maxWidth(): number;
    get currentVerticalStep(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiCloneElementContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiCloneElementContainerComponent, "sti-clone-element-container", never, {}, {}, never, never, false, never>;
}
